Bug 755215 - [abrt] libreoffice-core-3.4.4.2-2.fc16: rtl_cache_slab_alloc: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.4.4.2-2.fc16: rtl_cache_slab_alloc: Process /usr/li...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephan Bergmann
Fedora Extras Quality Assurance
abrt_hash:f988cf80ddf88a1163d6d74087a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-19 10:51 EST by ygor.regados
Modified: 2012-03-05 09:16 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-05 09:16:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (22.27 KB, text/plain)
2011-11-19 10:51 EST, ygor.regados
no flags Details
File: maps (89.55 KB, text/plain)
2011-11-19 10:51 EST, ygor.regados
no flags Details
File: backtrace (108.38 KB, text/plain)
2011-11-19 10:51 EST, ygor.regados
no flags Details

  None (edit)
Description ygor.regados 2011-11-19 10:51:18 EST
libreport version: 2.0.6
abrt_version:   2.0.4.981
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=7
comment:        LibreOffice crashed after saving file.
crash_function: rtl_cache_slab_alloc
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.1.1-1.fc16.x86_64
reason:         Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
time:           Sat Nov 19 13:33:47 2011
uid:            1000
username:       ygor
xsession_errors: 

backtrace:      Text file, 110976 bytes
dso_list:       Text file, 22802 bytes
maps:           Text file, 91699 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=p.ygorre.co.cc
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=2589
:GPG_AGENT_INFO=/tmp/keyring-IbsW1q/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=gnome-shell-1589-p.ygorre.co.cc-libreoffice-9_TIME5156865
:HISTSIZE=1000
:XDG_SESSION_COOKIE=874a1e2a059bd045e27af7ec00000011-1321710363.510843-2001907435
:GJS_DEBUG_OUTPUT=stderr
:OLDPWD=/usr/lib64/libreoffice/program
:GNOME_KEYRING_CONTROL=/tmp/keyring-IbsW1q
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=ygor
:SSH_AUTH_SOCK=/tmp/keyring-IbsW1q/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1389,unix/unix:/tmp/.ICE-unix/1389
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-writer.desktop
:MAIL=/var/spool/mail/ygor
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/ygor/.local/bin:/home/ygor/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/ygor
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1381
:LANG=fr_FR.utf8
:GDM_LANG=fr_FR.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/ygor
:XDG_SEAT=seat0
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=ygor
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-eCUPFoQWWr,guid=ba2888aca11a1c4b1653369000000042
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/ygor
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-ygor-VjV3WQ/database
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64

var_log_messages:
:Nov 19 13:10:40 p kernel: [ 5143.481677] soffice.bin[1981]: segfault at 7ffb00000064 ip 0000003fe4c3b160 sp 00007fff44682de0 error 4 in libuno_sal.so.3[3fe4c00000+57000]
:Nov 19 13:10:42 p abrt[2567]: saved core dump of pid 1981 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2011-11-19-13:10:40-1981 (181432320 bytes)
:Nov 19 13:33:47 p kernel: [ 6529.999719] soffice.bin[2601]: segfault at 7f ip 0000003fe4c3b160 sp 00007fff082b9580 error 4 in libuno_sal.so.3[3fe4c00000+57000]
:Nov 19 13:33:48 p abrt[2813]: saved core dump of pid 2601 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2011-11-19-13:33:47-2601 (181207040 bytes)
Comment 1 ygor.regados 2011-11-19 10:51:22 EST
Created attachment 534574 [details]
File: dso_list
Comment 2 ygor.regados 2011-11-19 10:51:25 EST
Created attachment 534575 [details]
File: maps
Comment 3 ygor.regados 2011-11-19 10:51:28 EST
Created attachment 534576 [details]
File: backtrace
Comment 4 Caolan McNamara 2011-11-21 05:04:35 EST
Are you able to reproduce this ?, I mean does it happen every time you save a particular document ?

#4  0x0000003fe4c2b70f in rtl_string2UString_status (ppThis=0x7fff082b9840, pStr=0x7f1d4cb04590 "IsRoot", nLen=6, eTextEncoding=11, nCvtFlags=819, pInfo=0x0) at ustring.c:574

on its own doesn't looks exotic or bizarre enough to trigger a crash
Comment 5 ygor.regados 2011-11-24 19:58:07 EST
As far as I remember, I've seen this error only once. I don't remember the exact conditions.

And yes, it was in an specific document, an academic work I was doing.
Comment 6 Caolan McNamara 2012-03-05 09:16:53 EST
Can't guess what might have happened :-(

Note You need to log in before you can comment on or make changes to this bug.